This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

[参考译文] CODECOMPOSER:安装缩进指南时出现问题

Guru**** 1091410 points
请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

https://e2e.ti.com/support/tools/code-composer-studio-group/ccs/f/code-composer-studio-forum/1198996/codecomposer-problem-with-installing-indent-guide

器件型号:CODECOMPOSER

您好、TI、

我将 CCS 从10更新为最新版本12.0。 我喜欢使用工具缩进指南(来自 eclipse 市场)、它始终运行良好、但现在我无法再安装它。

您是否知道这可能是什么以及如何解决此问题?

以下是错误消息的屏幕截图:


文本表单:

Cannot complete the install because one or more required items could not be found.
Software being installed: IndentGuide 2.0.0.20230220-0508 (net.certiv.tools.indentguide.feature.feature.group 2.0.0.20230220-0508)
Missing requirement: IndentGuide 2.0.0.20230220-0508 (net.certiv.tools.indentguide.feature.feature.group 2.0.0.20230220-0508) requires
'org.eclipse.equinox.p2.iu; org.eclipse.ui [3.201.200,4.0.0)' but it could not be found


我尝试了一整天才能使其正常工作、但没有机会。

此致、
Daniel

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    Daniel、您好!

    您似乎缺少某种依赖关系。 我尝试安装该插件、CCS 12.2和 CCS 10.4也有问题。 您提到过它是为您使用 CCS 10的。 CCS 10的确切版本是什么? 当时 CCS 10安装了哪个版本的 Indent Guide?  

    谢谢

    Ki

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好 Ki、

    好的、肯定还有另一个问题。 我还尝试在装有 CCSv10的笔记本电脑上安装缩进指南、但问题与 CCSv12中的问题相同。

    我安装 Indent Guide 的时间大约是一年前、我认为没有问题、当前发布的 Indent Guide 一定会有问题。

    对我来说不是很重要,但我喜欢这一功能,这一点无关紧要。

    有趣的是、我下载了最新的 Eclipse、在这里我可以安装它。 它可能会在下一个版本的 CCS 中再次工作。

     

    总之、感谢您的帮助。

    此致、
    Daniel

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。
    [引用 userid="312063" URL"~/support/tools/code-composer-studio-group/ccs/f/code-composer-studio-forum/1198996/codecomposer-problem-with-installing-indent-guide/4522717 #4522717"]我安装 Indent Guide 的时间大约是一年前,我认为没有问题,当前版本的 Indent Guide 一定会有问题。

    您必须安装了与 CCS 10所基于的 Eclipse 版本兼容的早期版本的 Indent Guide。

    [引用 userid="312063" URL"~/support/tools/code-composer-studio-group/ccs/f/code-composer-studio-forum/1198996/codecomposer-problem-with-installing-indent-guide/4522717 #4522717">有趣的是、我下载了最新的 Eclipse、在这里我可以安装它。 也许它可以与下一个版本的 CCS 一起使用。

    在查看缩进指南当前版本的要求时:

    CCS 12.2.0基于 Eclipse 4.23。 因此、它在理论上应该起作用。 但我们可能缺少一些东西。 由于我们不能正式保证插件兼容性、我不确定。  

    您可以尝试使用较旧版本的缩进指南。 您可能会更幸运地使用该版本。

    谢谢

    Ki

  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    感谢 Ki 的回答,你是一个天才,它在3分钟内工作,昨天我玩了一整天 我在 https://www.certiv.net/updates/net.certiv.indentguide.site/bak/上找到了较旧版本 、现在它可以再次工作。

    只需单击"帮助"、安装新软件、选择"存档文件"并进行安装。 如果有人需要、文件如下:
    e2e.ti.com/.../Neuer-Ordner.zip


    祝你度过美好的一天!
    Daniel